QwtPlainTextEngine(3)

NAME
QwtPlainTextEngine - A text engine for plain texts.

SYNOPSIS

#include <qwt_text_engine.h>

Inherits QwtTextEngine.

  Public Member Functions
QwtPlainTextEngine ()
Constructor.
virtual ~QwtPlainTextEngine ()
Destructor.
virtual double heightForWidth (const QFont &font, int flags, const QString &text, double width) const override
virtual QSizeF textSize (const QFont &font, int flags, const QString &text) const override
virtual void draw (QPainter *, const QRectF &rect, int flags, const QString &text) const override
Draw the text in a clipping rectangle.
virtual bool mightRender (const QString &) const override
virtual void textMargins (const QFont &, const QString &, double &left, double &right, double &top, double &bottom) const override

  Additional Inherited Members

Detailed Description

A text engine for plain texts. QwtPlainTextEngine renders texts using the basic Qt classes QPainter and QFontMetrics.

Definition at line 111 of file qwt_text_engine.h.

Member Function Documentation

  void QwtPlainTextEngine::draw (QPainter * painter, const QRectF & rect, int flags, const QString & text) const [override], [virtual]

Draw the text in a clipping rectangle. A wrapper for QPainter::drawText.

Parameters
    painter Painter
    rect Clipping rectangle
    flags Bitwise OR of the flags used like in QPainter::drawText
    text Text to be rendered

Implements QwtTextEngine.

Definition at line 230 of file qwt_text_engine.cpp.

  double QwtPlainTextEngine::heightForWidth (const QFont & font, int flags, const QString & text, double width) const [override], [virtual]
Find the height for a given width

Parameters
    font Font of the text
    flags Bitwise OR of the flags used like in QPainter::drawText
    text Text to be rendered
    width Width

Returns
    Calculated height

Implements QwtTextEngine.

Definition at line 172 of file qwt_text_engine.cpp.

  bool QwtPlainTextEngine::mightRender (const QString &) const [override], [virtual]
Test if a string can be rendered by this text engine.

Returns
    Always true. All texts can be rendered by QwtPlainTextEngine

Implements QwtTextEngine.

Definition at line 240 of file qwt_text_engine.cpp.

  void QwtPlainTextEngine::textMargins (const QFont & font, const QString &, double & left, double & right, double & top, double & bottom) const [override], [virtual]
Return margins around the texts

Parameters
    font Font of the text
    left Return 0
    right Return 0
    top Return value for the top margin
    bottom Return value for the bottom margin

Implements QwtTextEngine.

Definition at line 210 of file qwt_text_engine.cpp.

  QSizeF QwtPlainTextEngine::textSize (const QFont & font, int flags, const QString & text) const [override], [virtual]
Returns the size, that is needed to render text

Parameters
    font Font of the text
    flags Bitwise OR of the flags used like in QPainter::drawText
    text Text to be rendered

Returns
    Calculated size

Implements QwtTextEngine.

Definition at line 191 of file qwt_text_engine.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.